apiVersion: v2
name: gp-app
version: "1.0.0"

dependencies:
  - name: ingress-nginx
    version: 4.12.0
    repository: https://kubernetes.github.io/ingress-nginx
    condition: ingress-nginx.enabled
  - name: rabbitmq
    version: 12.0.1
    repository: https://charts.bitnami.com/bitnami
    condition: rabbitmq.enabled
  - name: loki-stack
    version: 2.9.11
    alias: loki_stack
    repository: https://grafana.github.io/helm-charts
    condition: loki_stack.enabled
  - name: loki
    version: 6.21.0
    repository: https://grafana.github.io/helm-charts
    condition: loki.enabled
  - name: promtail
    version: 6.16.6
    repository: https://grafana.github.io/helm-charts
    condition: promtail.enabled
  - name: grafana
    version: 8.6.3
    repository: https://grafana.github.io/helm-charts
    condition: grafana.enabled
  - name: prometheus
    version: 26.0.0
    repository: https://prometheus-community.github.io/helm-charts
    condition: prometheus.enabled
  - name: jupyterhub
    version: 3.2.1
    repository: https://hub.jupyter.org/helm-chart
    alias: jupyterhub_internal
    condition: jupyterhub.enabled
  - name: postgresql
    alias: coder_postgresql
    version: 15.1.0
    repository: https://charts.bitnami.com/bitnami
    condition: coder.enabled
  - name: coder
    version: 2.9.1
    repository: https://helm.coder.com/v2
    condition: coder.enabled
  - name: reloader
    version: 1.0.93
    repository: https://stakater.github.io/stakater-charts
    condition: stakater.enabled
  - name: jaeger
    version: 3.1.1
    repository: https://jaegertracing.github.io/helm-charts
    condition: jaeger.enabled
  - name: matrix-synapse
    version: 3.9.11
    repository: https://ananace.gitlab.io/charts
    condition: matrix-synapse.enabled
  - name: redis
    alias: server_api_redis
    version: 20.6.3
    repository: https://charts.bitnami.com/bitnami
    condition: server_api_redis.enabled

name: server-test
